### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Class SessionPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sas.services.session.SessionPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

@SASScope("ALL") @BinaryCompatibilityOnly public final class SessionPermission extends BasicPermission
This class is for various Session Service permissions. A SessionPermission contains a name ("target name") but no actions list. The target name is the name of the session service permission. The following table lists all the possible SessionPermission target names and a brief description of each.

Permission Target Name | What the Permission Allows
--- | ---
quiesce | Quiescing of the Session Service. This disables session context creation.
resume | Resuming of the Session Service. This enables session context creation.
destroySessions | Destruction of a specified session context or the destruction of all active session contexts. The session context will be destroyed even if is locked.
getSummaryData | Retrieval of summary data for all active users.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionPermission(String name)`
  Creates a new SessionPermission with the specified name.
  `SessionPermission(String name, String actions)`
  Creates a new SessionPermission object with the specified name.

- ## Method Summary

  ### Methods inherited from class java.security.BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods inherited from class java.security.Permission

  `checkGuard, getName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SessionPermission

    public SessionPermission(String name)
    Creates a new SessionPermission with the specified name. The name is the symbolic name of the SessionPermission, such as "quiesce", "resume", etc.
    Parameters:
      `name` - the name of the SessionPermission.

  - ### SessionPermission

    public SessionPermission(String name, String actions)
    Creates a new SessionPermission object with the specified name. The name is the symbolic name of the SessionPermission, and the actions String is currently unused and should be null.
    Parameters:
      `name` - the name of the SessionPermission.
      `actions` - should be null.